Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
POSTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

CreateBaremetalChassis

CreateBaremetalChassis

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The name of the bare metal chassis.

    • descriptionString

      Optional. The detailed description of the bare metal chassis.

    • clusterUuidStringRequired

      The UUID of the cluster where the bare metal chassis resides.

    • ipmiAddressStringRequired

      The IPMI address of the bare metal chassis.

    • ipmiPortInteger

      Optional. The IPMI port of the bare metal chassis.

    • ipmiUsernameStringRequired

      The IPMI username.

    • ipmiPasswordStringRequired

      The IPMI password.

    • resourceUuidString

      The UUID of the bare metal chassis.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBaremetalChassisInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bare metal chassis.

    • descriptionStringRequired

      The detailed description of the bare metal chassis.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • pxeServerUuidStringRequired

      No description provided.

    • ipmiAddressStringRequired

      The IPMI address of the bare metal chassis.

    • ipmiPortIntegerRequired

      The IPMI port of the bare metal chassis.

    • ipmiUsernameStringRequired

      The IPMI username.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The time when the bare metal chassis was created.

    • lastOpDateTimestampRequired

      The time when the bare metal chassis was last modified.

Endpoint

POST/zstack/v1/baremetal/chassis

/zstack/v1/baremetal/chassis

Operation ID

CreateBaremetalChassis

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal/chassis' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","clusterUuid":"<clusterUuid>","ipmiAddress":"<ipmiAddress>","ipmiPort":1,"ipmiUsername":"<ipmiUsername>","ipmiPassword":"<ipmiPassword>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "40fae70b4c573bdfad57d031eaba0eb0", "ipmiAddress": "1.1.1.1", "ipmiPort": 623.0, "ipmiUsername": "root", "ipmiPassword": "password", "state": "Enabled", "status": "HWInfoUnknown" } }

Change History

This API has no change history records yet.

View all change history